--- Fl_Help_View.cxx.orig	2017-01-24 14:37:23.359756532 +0100
+++ Fl_Help_View.cxx	2017-01-25 11:28:50.332302465 +0100
@@ -136,6 +136,21 @@
 
 static Fl_Pixmap broken_image(broken_xpm);
 
+#include<iostream>
+// simple stack
+template<class T>
+class stack {
+  private :
+    T   _data[100];
+    int _depth;
+  public:
+    stack():_depth(-1){}
+    void pop(void){if(_depth>=0){_depth--;}}
+    T top(void){if(_depth>=0){return _data[_depth];}else{std::cout<<"uh oh - empty stack\n";return (T)0;}}
+    void push(T x){if(_depth<99){_data[++_depth]=x;}else{std::cout<<"stack not big enough"<<std::endl;}}
+};
+
+
 //
 // Simple margin stack for Fl_Help_View::format()...
 //
@@ -661,6 +676,9 @@
   int			underline,	// Underline text?
                         xtra_ww;        // Extra width for underlined space between words
 
+  stack<int>  OL_num;  // if nonnegative, in OL mode and this is the item number
+  OL_num.push(-1);
+
   DEBUG_FUNCTION(__LINE__,__FUNCTION__);
 
   // Draw the scrollbar(s) and box first...
@@ -907,12 +925,28 @@
 	      pre   = 1;
 	    }
 
-            if (buf.cmp("LI"))
-	    {
-	      // draw bullet (&bull;) Unicode: U+2022, UTF-8 (hex): e2 80 a2
-              unsigned char bullet[4] = { 0xe2, 0x80, 0xa2, 0x00 };
-              hv_draw((char *)bullet, xx - fsize + x() - leftline_, yy + y());
-	    }
+        if ( buf.cmp("OL") )
+           OL_num.push(1);
+        else if ( buf.cmp("UL") )
+           OL_num.push(-1);
+        else if ( buf.cmp("/OL") || buf.cmp("/UL") )
+           OL_num.pop();
+
+       if (buf.cmp("LI"))
+	   {
+         char buf[8];
+         if( OL_num.top()<0 ) 
+         {
+            unsigned char bullet[4] = { 0xe2, 0x80, 0xa2, 0x00 };
+            memcpy( buf, bullet, 4*sizeof(char) );
+         } else {
+           sprintf( buf, "%d. ", OL_num.top() );
+           int nnum = OL_num.top()+1;
+           OL_num.pop();
+           OL_num.push(nnum);
+         }
+         hv_draw((char *)buf, xx - fsize + x() - leftline_, yy + y());
+	   }
 
 	    pushfont(font, fsize);
 	    buf.clear();
